Last modified: 2012-09-19 21:58:03 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 18436 - mw.util.jsMessage should not use inline style "display: block;"
mw.util.jsMessage should not use inline style "display: block;"
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
JavaScript (Other open bugs)
unspecified
All All
: Low minor with 1 vote (vote)
: ---
Assigned To: Nobody - You can work on this!
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-12 14:58 UTC by sylvain.brunerie
Modified: 2012-09-19 21:58 UTC (History)
7 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description sylvain.brunerie 2009-04-12 14:58:39 UTC
When I add a page to my watchlist by clicking "watch" tab, a message appears (div#mw-js-message.mw-js-message-watch) (“The page "..." has been added to your watchlist. [...]”) to indicate that the page has been added.

I tried to add “div#mw-js-message.mw-js-message-watch { display: none; }” to my monobook.css, because I wanted to automatically hide this message. Unfortunately, this div uses an inline style "display: block;", which stops any attempt to hide it using CSS.

I think this inline style is not necessary, it could probably be easily replaced by using other CSS methods.
Please forgive me if I'm wrong, or if the problem has been mentioned yet.
Comment 1 Happy-melon 2009-09-24 22:21:26 UTC
Done in r56902.
Comment 2 Brion Vibber 2009-09-30 00:39:11 UTC
This breaks in Vector; the div is initially hidden and now never gets unhidden. 
Comment 3 Brion Vibber 2009-09-30 00:48:24 UTC
Reverted in r57094
Comment 4 Bryan Baron 2009-10-26 02:08:38 UTC
Removing easy keyword. So... how could the "display: block" style be replaced while not breaking in vector?
Comment 5 Bartosz Dziewoński 2012-09-19 21:45:26 UTC
Is this bug made obsolete by the new mw.notify module?
Comment 6 Krinkle 2012-09-19 21:53:02 UTC
Yes.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links